## r-cran-rncl 0.6.0

=== DESCRIPTION ===
Package: rncl
Title: An Interface to the Nexus Class Library
Version: 0.6.0
Authors@R: c(person("Francois", "Michonneau", role=c("aut", "cre"),
    email="francois.michonneau@gmail.com"),
    person("Ben", "Bolker", role=c("aut")),
    person("Mark", "Holder", role=c("aut")),
    person("Paul", "Lewis", role=c("aut")),
    person("Brian", "O'Meara", role=c("aut")))
Maintainer: Francois Michonneau <francois.michonneau@gmail.com>
Description: An interface to the Nexus Class Library which allows parsing
    of NEXUS, Newick and other phylogenetic tree file formats. It provides
    elements of the file that can be used to build phylogenetic objects
    such as ape's 'phylo' or phylobase's 'phylo4(d)'.
Imports: Rcpp (>= 0.11.0)
Suggests: testthat, ape
LinkingTo: Rcpp
Depends: R (>= 3.1.1)
License: BSD_2_clause + file LICENSE
URL: https://github.com/fmichonneau/rncl
BugReports: https://github.com/fmichonneau/rncl/issues
LazyData: true
NeedsCompilation: yes
Packaged: 2015-07-21 23:19:35 UTC; francois
Author: Francois Michonneau [aut, cre],
  Ben Bolker [aut],
  Mark Holder [aut],
  Paul Lewis [aut],
  Brian O'Meara [aut]
Repository: CRAN
Date/Publication: 2015-07-22 05:55:13

=== debian/changelog ===
r-cran-rncl (0.6.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sat, 02 Apr 2016 21:45:41 +0200

r-cran-rncl (0.6.0-1) unstable; urgency=low

  * Initial release (Closes: #818976)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Mar 2016 14:29:52 +0100

=== debian/control ===
Source: r-cran-rncl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rncl/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rncl/trunk/
Homepage: https://cran.r-project.org/web/packages/rncl/

Package: r-cran-rncl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Description: GNU R interface to the Nexus Class Library
 This R package provides an interface to the Nexus Class Library which
 allows parsing of NEXUS, Newick and other phylogenetic tree file
 formats. It provides elements of the file that can be used to build
 phylogenetic objects such as ape's 'phylo' or phylobase's 'phylo4(d)'.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	rm -rf debian/$(package)/usr/lib/R/site-library/$(cranName)/LICENSE
	chmod 644 debian/$(package)/usr/lib/R/site-library/$(cranName)/nexusfiles/co1.nex

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/rncl_([-0-9\.]*).tar.gz

## r-cran-rncl 0.8.2

=== DESCRIPTION ===
Package: rncl
Title: An Interface to the Nexus Class Library
Version: 0.8.2
Authors@R: c(person("Francois", "Michonneau", role=c("aut", "cre"),
    email="francois.michonneau@gmail.com"),
    person("Ben", "Bolker", role=c("aut")),
    person("Mark", "Holder", role=c("aut")),
    person("Paul", "Lewis", role=c("aut")),
    person("Brian", "O'Meara", role=c("aut")))
Maintainer: Francois Michonneau <francois.michonneau@gmail.com>
Description: An interface to the Nexus Class Library which allows parsing
    of NEXUS, Newick and other phylogenetic tree file formats. It provides
    elements of the file that can be used to build phylogenetic objects
    such as ape's 'phylo' or phylobase's 'phylo4(d)'. This functionality
    is demonstrated with 'read_newick_phylo()' and 'read_nexus_phylo()'.
Imports: Rcpp (>= 0.11.0), progress (>= 1.1.2), stats
Suggests: testthat, ape
LinkingTo: Rcpp, progress
Depends: R (>= 3.1.1)
License: BSD_2_clause + file LICENSE
URL: https://github.com/fmichonneau/rncl
BugReports: https://github.com/fmichonneau/rncl/issues
LazyData: true
RoxygenNote: 5.0.1.9000
NeedsCompilation: yes
Packaged: 2016-12-16 09:34:39 UTC; francois
Author: Francois Michonneau [aut, cre],
  Ben Bolker [aut],
  Mark Holder [aut],
  Paul Lewis [aut],
  Brian O'Meara [aut]
Repository: CRAN
Date/Publication: 2016-12-16 11:20:37

=== debian/changelog ===
r-cran-rncl (0.8.2-1) unstable; urgency=medium

  * New upstream version
    Closes: #848553
  * debhelper 10
  * d/watch: version=4
  * Convert to dh-r
  * Canonical homepage for CRAN
  * New Build-Depends: r-cran-progress

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2016 00:03:00 +0100

r-cran-rncl (0.6.0-2) unstable; urgency=medium

  * Add missing Dependency: r-cran-rcpp

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 00:08:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
-               r-cran-rcpp
-Standards-Version: 3.9.7
+               r-cran-rcpp,
+               r-cran-progress
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rncl/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rncl/trunk/
-Homepage: https://cran.r-project.org/web/packages/rncl/
+Homepage: https://cran.r-project.org/package=rncl
 
 Package: r-cran-rncl
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R interface to the Nexus Class Library
  This R package provides an interface to the Nexus Class Library which
  allows parsing of NEXUS, Newick and other phylogenetic tree file

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/rncl_([-0-9\.]*).tar.gz

## r-cran-rncl 0.8.3

=== DESCRIPTION ===
Package: rncl
Title: An Interface to the Nexus Class Library
Version: 0.8.3
Authors@R: c(person("Francois", "Michonneau", role=c("aut", "cre"),
    email="francois.michonneau@gmail.com",    comment = c("ORCID" = "0000-0002-9092-966X")),
    person("Ben", "Bolker", role=c("aut"),    comment = c("ORCID" = "0000-0002-2127-0443")),
    person("Mark", "Holder", role=c("aut"),   comment = c("ORCID" = "0000-0001-5575-0536")),
    person("Paul", "Lewis", role=c("aut"),    comment = c("ORCID" = "0000-0001-9852-8759")),
    person("Brian", "O'Meara", role=c("aut"), comment = c("ORCID" = "0000-0002-0337-5997")))
Maintainer: Francois Michonneau <francois.michonneau@gmail.com>
Description: An interface to the Nexus Class Library which allows parsing
    of NEXUS, Newick and other phylogenetic tree file formats. It provides
    elements of the file that can be used to build phylogenetic objects
    such as ape's 'phylo' or phylobase's 'phylo4(d)'. This functionality
    is demonstrated with 'read_newick_phylo()' and 'read_nexus_phylo()'.
Imports: Rcpp (>= 0.11.0), progress (>= 1.1.2), stats
Suggests: testthat, ape
LinkingTo: Rcpp, progress
Depends: R (>= 3.1.1)
License: BSD_2_clause + file LICENSE
URL: https://github.com/fmichonneau/rncl
BugReports: https://github.com/fmichonneau/rncl/issues
LazyData: true
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-07-27 12:59:13 UTC; francois
Author: Francois Michonneau [aut, cre]
    (<https://orcid.org/0000-0002-9092-966X>),
  Ben Bolker [aut] (<https://orcid.org/0000-0002-2127-0443>),
  Mark Holder [aut] (<https://orcid.org/0000-0001-5575-0536>),
  Paul Lewis [aut] (<https://orcid.org/0000-0001-9852-8759>),
  Brian O'Meara [aut] (<https://orcid.org/0000-0002-0337-5997>)
Repository: CRAN
Date/Publication: 2018-07-27 14:20:02 UTC

=== debian/changelog ===
r-cran-rncl (0.8.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jul 2018 08:23:35 +0200

r-cran-rncl (0.8.2-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 22:11:48 +0200

r-cran-rncl (0.8.2-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Secure watch file
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 20:40:01 +0100

=== debian/control ===
Source: r-cran-rncl
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.11.0),
               r-cran-progress
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rncl
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rncl.git
Homepage: https://cran.r-project.org/package=rncl

Package: r-cran-rncl
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R interface to the Nexus Class Library
 This R package provides an interface to the Nexus Class Library which
 allows parsing of NEXUS, Newick and other phylogenetic tree file
 formats. It provides elements of the file that can be used to build
 phylogenetic objects such as ape's 'phylo' or phylobase's 'phylo4(d)'.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rncl@ANY_VERSION@@ARCHIVE_EXT@

## r-cran-rncl 0.8.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rncl
 Title: An Interface to the Nexus Class Library
-Version: 0.8.3
+Version: 0.8.4
 Authors@R: c(person("Francois", "Michonneau", role=c("aut", "cre"),
     email="francois.michonneau@gmail.com",    comment = c("ORCID" = "0000-0002-9092-966X")),
     person("Ben", "Bolker", role=c("aut"),    comment = c("ORCID" = "0000-0002-2127-0443")),
@@ -21,9 +21,10 @@
 URL: https://github.com/fmichonneau/rncl
 BugReports: https://github.com/fmichonneau/rncl/issues
 LazyData: true
-RoxygenNote: 6.0.1
+RoxygenNote: 7.0.2.9000
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2018-07-27 12:59:13 UTC; francois
+Packaged: 2020-02-09 22:42:30 UTC; francois
 Author: Francois Michonneau [aut, cre]
     (<https://orcid.org/0000-0002-9092-966X>),
   Ben Bolker [aut] (<https://orcid.org/0000-0002-2127-0443>),
@@ -31,4 +32,4 @@
   Paul Lewis [aut] (<https://orcid.org/0000-0001-9852-8759>),
   Brian O'Meara [aut] (<https://orcid.org/0000-0002-0337-5997>)
 Repository: CRAN
-Date/Publication: 2018-07-27 14:20:02 UTC
+Date/Publication: 2020-02-10 05:10:03 UTC

=== debian/changelog ===
r-cran-rncl (0.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Dylan Aïssi <daissi@debian.org>  Thu, 13 Feb 2020 07:18:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.11.0),
+               r-cran-rcpp,
                r-cran-progress
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rncl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rncl.git
 Homepage: https://cran.r-project.org/package=rncl

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -delete

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.nex" -exec chmod -x \{\} \;

## r-cran-rncl 0.8.6

=== debian/changelog ===
r-cran-rncl (0.8.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Mar 2022 09:52:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-progress
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rncl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rncl.git
 Homepage: https://cran.r-project.org/package=rncl
+Rules-Requires-Root: no
 
 Package: r-cran-rncl
 Architecture: any

## r-cran-rncl 0.8.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rncl
 Title: An Interface to the Nexus Class Library
-Version: 0.8.4
+Version: 0.8.7
 Authors@R: c(person("Francois", "Michonneau", role=c("aut", "cre"),
     email="francois.michonneau@gmail.com",    comment = c("ORCID" = "0000-0002-9092-966X")),
     person("Ben", "Bolker", role=c("aut"),    comment = c("ORCID" = "0000-0002-2127-0443")),
@@ -20,11 +20,10 @@
 License: BSD_2_clause + file LICENSE
 URL: https://github.com/fmichonneau/rncl
 BugReports: https://github.com/fmichonneau/rncl/issues
-LazyData: true
-RoxygenNote: 7.0.2.9000
+RoxygenNote: 7.1.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-02-09 22:42:30 UTC; francois
+Packaged: 2023-01-07 20:06:31 UTC; francois
 Author: Francois Michonneau [aut, cre]
     (<https://orcid.org/0000-0002-9092-966X>),
   Ben Bolker [aut] (<https://orcid.org/0000-0002-2127-0443>),
@@ -32,4 +31,4 @@
   Paul Lewis [aut] (<https://orcid.org/0000-0001-9852-8759>),
   Brian O'Meara [aut] (<https://orcid.org/0000-0002-0337-5997>)
 Repository: CRAN
-Date/Publication: 2020-02-10 05:10:03 UTC
+Date/Publication: 2023-01-08 10:20:08 UTC

=== debian/changelog ===
r-cran-rncl (0.8.7-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 09:38:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                r-cran-progress
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rncl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rncl.git
 Homepage: https://cran.r-project.org/package=rncl

## r-cran-rncl 0.8.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: rncl
 Title: An Interface to the Nexus Class Library
-Version: 0.8.7
+Version: 0.8.9
 Authors@R: c(person("Francois", "Michonneau", role=c("aut", "cre"),
     email="francois.michonneau@gmail.com",    comment = c("ORCID" = "0000-0002-9092-966X")),
     person("Ben", "Bolker", role=c("aut"),    comment = c("ORCID" = "0000-0002-2127-0443")),
@@ -20,15 +20,15 @@
 License: BSD_2_clause + file LICENSE
 URL: https://github.com/fmichonneau/rncl
 BugReports: https://github.com/fmichonneau/rncl/issues
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-01-07 20:06:31 UTC; francois
-Author: Francois Michonneau [aut, cre]
-    (<https://orcid.org/0000-0002-9092-966X>),
-  Ben Bolker [aut] (<https://orcid.org/0000-0002-2127-0443>),
-  Mark Holder [aut] (<https://orcid.org/0000-0001-5575-0536>),
-  Paul Lewis [aut] (<https://orcid.org/0000-0001-9852-8759>),
-  Brian O'Meara [aut] (<https://orcid.org/0000-0002-0337-5997>)
+Packaged: 2026-01-20 18:31:45 UTC; francois
+Author: Francois Michonneau [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-9092-966X>),
+  Ben Bolker [aut] (ORCID: <https://orcid.org/0000-0002-2127-0443>),
+  Mark Holder [aut] (ORCID: <https://orcid.org/0000-0001-5575-0536>),
+  Paul Lewis [aut] (ORCID: <https://orcid.org/0000-0001-9852-8759>),
+  Brian O'Meara [aut] (ORCID: <https://orcid.org/0000-0002-0337-5997>)
 Repository: CRAN
-Date/Publication: 2023-01-08 10:20:08 UTC
+Date/Publication: 2026-01-21 06:40:29 UTC

=== debian/changelog ===
r-cran-rncl (0.8.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1126236, #1126237, #1126238, #1126240
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Document GPL copyright of the Nexus Class Library.
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  debian/copyright: Replace commas with whitespace to separate items in Files paragraph.

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2026 11:02:10 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-progress
-Standards-Version: 4.6.2
+               r-cran-progress,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rncl
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rncl.git
 Homepage: https://cran.r-project.org/package=rncl

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
        r-cran-testthat,
        r-cran-ape
Restrictions: allow-stderr
